<template>
  <div>
    <Top></Top>
    아래 inputBox에 값을 입력하고 commit버튼을 누르세요!
    <br/>
    <input v-model="inputText" placeholder="edit me">
    <p>inputbox의 값: {{ inputText }}</p>
    <button @click="printHello">commit</button>
    <br/>
    서버에서 응답(response)온 값:{{responseText}}
  </div>

</template>

<script>
import Top from "./Top";
export default {
  name: "HttpResponseExample",
  data() {
    return {
      inputText: '',
      responseText:''
    }
  },
  components:{ Top },
  methods:{
    printHello(){
      fetch(`http://54.180.78.236:30080/hello?name=${this.inputText}`)
        .then(res=>{
          return res.json()
        })
        .then(data=>{
          console.log(data)
          this.responseText = data.Hello;
        })
    }
  }
}
</script>

<style scoped>

</style>
